[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'rttiutils' (#fcl)

# TEraseSectEvent

Clear a storage section

## Declaration

Source position: rttiutils.pp line 64

`type TEraseSectEvent = procedure(`
`const ASection: string`
`) of object;`

## Arguments

`ASection` |  | Section to erase

## Description

TEraseSectEvent is used by TPropsStorage to clear a storage section, in a .ini file like fashion: The call should remove all keys in the section ASection, and remove the section from storage.

## See also

TPropsStorage |  | Property storage mechanism
TReadStrEvent |  | Callback to read strings from storage
TWriteStrEvent |  | Write a string to storage

Documentation generated on: Feb 26 2014